function NW = numwins(XRY,num)
% NW = numwins(XRY,num)
% NUMWINS will find all policy alternatives that defeat
% the number of other alternatives given in argument num.
% XRY is a MR preference matrix (e.g. defined using WEAKPREF).
%
% If used in conjunction with WEAKPREF, NUMWINS would return
% the set of alternatives that are weakly preferred to num-1 
% other policies.
% 
% To find a weak Condorcet winner, let num be total number
% of available policies stored in numpol2. (As a shortcut,
% use the function CONDORCET.)
%
% [JW, 7/28/01]

numpol2=length(XRY);
numpol=sqrt(numpol2);

NW = [];
I = [];

I = find(sum(XRY,2)==num);
siz = size(I,1);
for i=1:siz
   if not(isempty(I))==1   
      NW(i,2)=ceil(I(i)/numpol);
      NW(i,1)=I(i)-(NW(i,2)-1)*numpol; 
   end
end

% next, maybe find Banks set? uncovered set?