function XPY = strictpref();
% XRY = weakpref();
% Calculates majority-rule strict preference for all pairs and
% returns it in matrix XPY. 
%
% The 2-dim index is converted to a single-number index (see 
% matlab functions SUB2IND and IND2SUB). Each entry in XPY
% is coded 1 if the row alternative is weakly preferred to the
% column alternative.
% 
% This requires the function F from the RB program and therefore
% uses the voter distribution currently stored in the matrix
% voterlocs.
% 
% Note: This is adapted from the function weakprefs.
% [JW, 9/10/01]


global numpol numpol2

XPY=[];
UXY=[];

tol = 7;			% used for rounding

for i=1:numpol
   for j=1:numpol
      T=zeros(numpol);
      for m=1:numpol
         for n=1:numpol
            T(m,n)=f([i;j],[m;n]);
         end
      end
      UXY(sub2ind([numpol,numpol],i,j),:)=reshape(T,1,numpol2);
   end   
end

XPY = round((10^tol)*UXY)>(10^tol)/2;