% D = vfhump(n,v,l,M)
% vfhump adds a normally distributed hump of (approx.) n voters 
% with var-cov matrix S to location l in voter matrix M

function D = vfhump(n,S,L,M)

lenM = length(M);
[x,y]=ind2sub(size(M),1:length(M)^2);
T=reshape(mvnpdf2([x;y],reshape(L,2,1),S),lenM,lenM);
T = round(n*T/sum(sum(T)));
D = M + T;