% This is the main version of the new program

clc
clear
mcec_setdef
mcec_init


runflag = 1;
while runflag==1;
    home;
    
    disp('=================== Menu and Model Summary =====================')
    disp(' ')
    disp(['(1)  Incumbent:           ',mcecopt.inc])
    disp(['(2)  Challenger:          ',mcecopt.chl])
    disp(['(3)  Start values:        ',mcecopt.start])
    disp(['(4)  Voter distribution:  ',mcecopt.voters])
    disp(['(5)  Policy grid size:    ',num2str(numpol),'x',num2str(numpol)])
    disp(['(6)  Voter grid size:     ',num2str(numvotes),'x',num2str(numvotes)])
    disp(['(7)  Iterations:          ',num2str(numit)])
    disp(['(8)  Go to turnout simulation menu'])
    disp(' ')
    disp('(R)  Run simulation')
    disp('(A)  Show animation')
    disp('(K)  Command prompt')
    disp('(Q)  Quit')
    disp(' ')
    disp('================================================================')
    
    inp = upper(input('Enter the option number: ','s'));
    if not(isempty(inp));
        switch inp;
        case {'R'},
            if flag.sat == 1 & flag.ideo == 0
                mcec_run
            elseif flag.sat == 1 & flag.ideo == 1
                mcec_run_ideo
            elseif flag.sat == 0
                mcec_run_gen
            end
            mcec_results
            pause
            
        case {'1'},
            % mcec_setinc
            
        case {'2'},
            mcec_setchall
            mcecopt.chl=text_search;
            
        case {'3'},
            % initial values
            inp = upper(input('Random [y/n]? ','s'));
            if inp=='Y'
                flag.startvals=0;
                mcecopt.start='Random';
            elseif inp=='N'
                A = input('Enter first policy as [x1,y1]:  ');
                A = reshape(A,2,1);
                B = input('Enter second policy as [x2,y2]: ');
                B = reshape(B,2,1);
                flag.startvals=1;
                mcecopt.start=['A = [',num2str(A'), ']; B = [',num2str(B'),']'];
            end
            
        case {'4'},
            mcec_setvoters
            
        case {'A'},
            mcec_animate
            
        case {'A2'},
            mcec_anim2
            
        case {'5','O'},
            % policy grid
            inp = input(strcat('Policy grid length [=npol]  (', num2str(numpol),')  =   '));
            if not(isempty(inp)) 
                numpol =inp; 
                numpol2 = numpol^2; 
            end;
            % ask to change search rules
            if mcecopt.inc ~= 'Satisfice'
                % mcec_setinc
            end
            mcec_setchall
            
       case {'6'},
           % voter grid
           inp = input(strcat('Voter grid length [=nvote]  (', num2str(numvotes),')  =   '));
           if not(isempty(inp));
               numvotes=inp; 
               polvoty=ones(numvotes,1)*(0:numvotes-1)*(numpol-1)/(numvotes-1);
               polvotx=polvoty';
           end
           mcec_setvoters
       case {'7'}, 
           % iterations
           inp = input(strcat('Number of iteration [=numit]  (', num2str(numit),') =   '));
           if not(isempty(inp))
               numit=inp; 
           end
        case {'8'},
            % goes to turnout program
            cd ./turnout;
            mcec_turnout
            cd ..            
        case {'K'},
            disp('Type "return" to get back to the menu')
            keyboard;
            %cd c:/research/bendor/mcec
            cd ~/bendor/mceclex
        case {'0','Q'},
            runflag = 0;
        end;
    end;
end;