% the meat of the simulation; for candidates with ideal points

disp('Running (ideological) simulations...')

mcec_init


% random starting values for now
if flag.startvals==0
   unif=ones(numpol)/numpol2;
   A = randomize(unif);
   B = randomize(unif);
   clear unif
end

% make sure incumbent policy is preferred to challenger policy in initial state
if f(A,B)>=.5
   IP=A;
   CP=B;
	Iparty = 0;   
else
   IP=B;
   CP=A;
   Iparty = 1;
end
Isvotes = f(IP,CP);
mcec_record;

for t=1:numit
   % convert transition probabilities into a propensity matrix for challenger,
   % then choose a policy accordingly
   if Iparty==0
       if flag.ideo2==1
           cd ./searches
           T_BC=ctrans_ideo2(IP,CP,ideo.ppvar,ideo.ipvar,ideo.p2,ideo.v2,ideo.wt,ideo.wt2,ideo.eps);
           cd ..
       end
      C0 = randomize(T_BC);
      [CNEW(1,1),CNEW(2,1)]=ind2sub([numpol,numpol],C0(2,1));
      %CNEW=CNEW';
   elseif Iparty==1
       if flag.ideo2==1
           cd ./searches
           T_AC=ctrans_ideo2(IP,CP,ideo.ppvar,ideo.ipvar,ideo.p1,ideo.v1,ideo.wt,ideo.wt2,ideo.eps);
           cd ..
       end
      C0 = randomize(T_AC);
      [CNEW(1,1),CNEW(2,1)]=ind2sub([numpol,numpol],C0(2,1));
      %CNEW=CNEW';
   end
   
   
   % the election...
   Isvotes=f(IP,CNEW);
   
   if Isvotes>=.5
       % incumbent wins
      IP=IP;
      CP=CNEW;
   elseif Isvotes<.5
       % challenger wins
      CP=IP;
      IP=CNEW;
      Iparty = 1 - Iparty;
      %   elseif Isvotes==.5
%      if rand>.5
%         IP=IP;
%         CP=CNEW;
%      else
%         CP=IP;
%         IP=CNEW;
%         Iparty = 1 - Iparty;
%      end
   else
      disp('Error: Isvotes in mcec_main.m')
   end
   
   mcec_record;
end

D_IP=D_IP/sum(sum(D_IP));
D_CP=D_CP/sum(sum(D_CP));

