% this draws a GUI with buttons on the left and a graph on the right;
% pushing a button calls ididit_push, which adds 10 voters to that position,
% then renormalizes the distribution and plots it as a surf plot; also displays
% the distribution on the push buttons
%
% it is fairly crude at this point, but still somewhat useful for creating
% a custom voter distribution; the matrix of voters is P and the corresponding
% distribution is stored in D
%
% to do: adjust how many voters to add, or adjust total %, add a cluster
% of voters
% [JW, 7/28/01]


clear PG

tl = 300;

% numpol = 7;
space = 2;
width = round((tl-8-space*numpol*2)/numpol);
wwidth=numpol*width+space

pos = get(0,'DefaultFigurePosition')

fig1 = figure('Name','Interactive Discrete Distribution Tool',...
   'Numbertitle','off','Position',[pos(1),pos(2),2*wwidth+20,wwidth])
ax=axes('Units','pixels','Position',[wwidth+30,20,wwidth-30,wwidth-25])
axis([1,numpol,1,numpol])
axis manual
%hold on
view(3)

uicontrol('Style','Frame','Position',[0,0,numpol*(width)+2*space,numpol*(width)+2*space])

for i = 1:numpol
   for j = 1:numpol
      PG(i,j) = uicontrol('Style','Pushbutton',...
         'Position',[(i-1)*(width)+space,(j-1)*(width)+space,width,width],...
         'UserData',[i,j],'CallBack','ididit_push',...
         'String','0');
   end
end

P = zeros(numpol);

clear i j space width wwidth