% the meat of the simulation

disp('Running simulations...')

mcec_init

% sets both incumbent and challenger doing global uniform searches
cd .\searches;
s_globunif
cd ..;

% random starting values for now
if flag_startvals==0
   unif=ones(numpol)/numpol2;
   A = randomize(unif);
   B = randomize(unif);
   clear unif
end

% make sure incumbent policy is preferred to challenger policy in initial state
if f(A,B)>=.5
   IP=A;
   CP=B;
else
   IP=B;
   CP=A;
end
mcec_record;

for t=1:numit
   % convert transition probabilities into a propensity matrix for challenger and incumbent,
   % then choose a policy accordingly
   P=reshape(CTRANS(sub2ind([numpol,numpol],CP(1),CP(2)),:),numpol,numpol);
   CNEW=randomize(P);
   Q=reshape(CTRANS(sub2ind([numpol,numpol],IP(1),IP(2)),:),numpol,numpol);
   INEW=randomize(Q);
   
   % the election...
   Isvotes=f(INEW,CNEW);
   
   if Isvotes>.5
      IP=INEW;
      CP=CNEW;
   elseif Isvotes<.5
      CP=INEW;
      IP=CNEW;
   elseif Isvotes==.5
      if rand>.5
         IP=INEW;
         CP=CNEW;
      else
         CP=INEW;
         IP=CNEW;
      end
   else
      disp('Error: Isvotes in mcec_main.m')
   end
   
   mcec_record;
end

D_IP=D_IP/sum(sum(D_IP));
D_CP=D_CP/sum(sum(D_CP));



