function f = mvnpdf(x,mu,sigma)
% f = mvnpdf(x,mu,sigma)
% MVNPDF is the bivariate normal density function. x must be a 2-dim vector.
% [JW, 7/28/01]

sizx = size(x);
sizmu = size(mu);
sizsig = size(sigma);

% force mu to be column vector
mu = reshape(mu,max(sizmu),1);

f = (det(sigma)^(-1/2))*((2*pi)^(-sizmu(1)/2))*exp(-(x-mu)'*inv(sigma)*(x-mu)/2);
