% normmat(mu,sigma,minp,s) 
%
% creates a square s x s matrix with a normalized normal probability 
% distribution centered at mu with var-cov matrix sigma and also makes 
% sure that each location has at least minp probability

function T = normmat(mu,sigma,minp,size)

[x,y]=ind2sub([size,size],1:size^2);
T=mvnpdf2([x;y],reshape(mu,2,1),sigma);
MT = T < minp;
smt=sum(sum(MT));
T=(T*(1-smt*minp)/sum(sum(T)))+minp*MT;
T=reshape(T,size,size);

if round(sum(sum(T)))~=1
   disp('Error')
end