% f
% function y=f(a,b)
% takes two 2-dim vectors a and b and yields the percent of the votes A gets 
% uses polvotx, polvoty

function y = f(aa,bb);

global voterlocs polvotx polvoty numvotes randfans;

one=aa(1);
two=aa(2);
three=bb(1);
four=bb(2);
aa = aa-[1;1];
bb = bb-[1;1];
vfans = (aa(1)-bb(1))*polvotx+(aa(2)-bb(2))*polvoty -(aa-bb)'*(aa+bb)/2;
for i=1:numvotes
    for j=1:numvotes
        if vfans(i,j) == 0;
            if randfans(one,two) > randfans(three,four)
                vfans(i,j)=1;
            else
                vfans(i,j)=-1;
            end
        end
    end
end
fans = vfans > 0;
y = sum(sum(voterlocs.*fans));
y = y/sum(sum(voterlocs));

%[JW] vfans is matrix of utility difference for each voter
% if aa and bb are platforms, and x=(x1,x2) is a voter's utility function,
% U(aa,x)= - (norm(x-aa)^2)*(npol-1/2), i.e. squared distance,
% vfans is a matrix of U(aa,x)-U(bb,x)
% note also that here we do not need to include multiple npol-1 in the code
% since aa, bb, x, etc. are integers (whereas in the model they are between
% 0 and 1)

% modified 11/8/01 to allow for any size voterloc matrix (i.e. no need to
% be a density; and give all indifferent votes to second policy, usually
% the challenger)