% the meat of the simulation

disp('Running simulations...')

mcec_init

% random starting values for now
if flag.startvals==0
   unif=ones(numpol)/numpol2;
   A = randomize(unif);
   B = randomize(unif);
   clear unif
end

%the following command is necessary for the covered search rule to work
if flag.cov==1
    xcheck=input('Enter the xvalue of the position you want to check');
    ycheck=input('Enter the yvalue of the position you want to check');

    XPY=strictpref; %returns a dominance matrix

    totsize=size(XPY);
    xsize=totsize(1,2);

    disp('part 1 done...');

    S=XPY+XPY^2; % covering technique from Banks 1985

    S=S+eye(xsize); % because nothing can cover itself

    for i=1:xsize
        for j=1:xsize
            if S(i,j)>0
                S(i,j)=1; %normalizes so S(i,j)=1 if xj does not cover xi (it could be 2)
            end
        end
    end
end


% make sure incumbent policy is preferred to challenger policy in initial state
if f(A,B)>.5
   IP=A;
   CP=B;
   Isvotes=f(A,B);
   Iparty=0;
else
   IP=B;
   CP=A;
   Isvotes=1-f(A,B);
   Iparty=1;
end

mcec_record;

for t=1:(numit-1)
   % convert transition probabilities into a propensity matrix for challenger,
   % then choose a policy accordingly
   if flag.sq == 1
       CP = IP;
       % this is to make the status quo based on incumbent policy rather than
       % the challenger's last search (i.e. for sophisticated challengers)
   end
  
   P=reshape(CTRANS(sub2ind([numpol,numpol],CP(1),CP(2)),:),numpol,numpol);
   CNEW=randomize(P);
   
   % the election...
   Isvotes=f(IP,CNEW);
   
   if Isvotes>.5
      IP=IP;
      CP=CNEW;
   elseif Isvotes<.5
      CP=IP;
      IP=CNEW;
      Iparty=1-Iparty;
   elseif Isvotes==.5
       % resolves election if there is a tie
       disp('ARG!: Social Indifference Encountered!')
       if rand>.5
          IP=IP;
          CP=CNEW;
       else
          CP=IP;
          IP=CNEW;
          Iparty=1-Iparty;
       end
   else
      disp('Error: Isvotes in mcec_main.m')
   end
   
   mcec_record;
end

D_IP=D_IP/sum(sum(D_IP));
D_CP=D_CP/sum(sum(D_CP));



