% Takes the current voter locations and returns the average "depth" of
% the covering relation as defined by Bendor, Mookherjee and Ray
% [billhauk 6/10/03]

XPY=strictpref; %returns a dominance matrix

totsize=size(XPY);
xsize=totsize(1,2);
clear totsize;

disp('part 1 done...');

S=XPY+XPY^2; % technique from Banks 1985

S=S+eye(xsize); % because nothing can cover itself

for i=1:xsize
    for j=1:xsize
        if S(i,j)>0
            S(i,j)=1; %normalizes so S(i,j)=1 if xj does not cover xi (it could be 2)
        end
    end
end

disp('part 2 done....');

uncovcheck=(sum(S'))';
uncov=zeros(xsize,1);

for i=1:xsize
    if uncovcheck(i,1)==xsize  % a policy is uncovered if it is not covered by any other policy
        uncov(i,1)=1;
    else
        uncov(i,1)=0;
    end
end

for i=1:xsize
    if uncov(i,1)==1
        S(1:xsize,j)=1;
    end
end

uncovcheck=(sum(S'))';
uncovdepth=zeros(numpol,numpol);
for i=1:xsize
    [xaxis yaxis]=ind2sub([numpol numpol],i);
    uncovdepth(xaxis,yaxis)=uncovcheck(i,1);
end

uncovdepth=xsize*ones(numpol,numpol)-uncovdepth
avedepth=mean(mean(uncovdepth)')