function f = mvnpdf2(X,mu,sigma)
% f = mvnpdf(X,mu,sigma)
% MVNPDF is the bivariate normal density function. X must be a 2-column matrix,
% where each row is a (x,y) pair
% [JW, 8/3/01]

% lenX = length(X);
% sizmu = length(mu);
% sizsig = size(sigma);

% force X to be length(X) x 2
% X = reshape(X,lenX,2);

% force mu to be column vector
% mu = reshape(mu,max(sizmu),1);
% mu = repmat(mu,lenX,1);

if size(X,1)~=2
   X=X'
end

if min(size(X))==1
   f = (det(sigma)^(-.5))*((2*pi)^(-1))*exp(-(X-mu)'*inv(sigma)*(X-mu)/2);
elseif min(size(X))>1
   mu=repmat(mu,1,length(X));
   f = (det(sigma)^(-.5))*((2*pi)^(-1))*exp(diag(-(X-mu)'*inv(sigma)*(X-mu)/2));
end
