% This program creates a voter distribution in which the Plott conditions are nearly (but not quite) met

text_voters='Perturbed Plott Option 2';
voterlocs=zeros(numvotes);
perturb=input('Enter a number from 0 to 10 to determine to size of the Plott condition perturbation ');
sigma=input('Enter a value for the standard deviation of the voter humps ');

% This creates 4 symmetric humps in each of the corners of the grid
xhump=0.2*numvotes;  
yhump=0.2*numvotes;
for y=1:numvotes
   for x=1:numvotes
      dist=((x-xhump)^2+(y-yhump)^2)^.5;
      weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
      voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation of 1/7th the size of a side of the voter grid
   end
end
xhump=0.2*numvotes;  
yhump=0.8*numvotes;
for y=1:numvotes
   for x=1:numvotes
      dist=((x-xhump)^2+(y-yhump)^2)^.5;
      weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
      voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation of 1/7th the size of a side of the voter grid
   end
end
xhump=0.8*numvotes;  
yhump=0.8*numvotes;
for y=1:numvotes
   for x=1:numvotes
      dist=((x-xhump)^2+(y-yhump)^2)^.5;
      weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
      voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation of 1/7th the size of a side of the voter grid
   end
end
xhump=0.8*numvotes;  
yhump=0.2*numvotes;
for y=1:numvotes
   for x=1:numvotes
      dist=((x-xhump)^2+(y-yhump)^2)^.5;
      weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
      voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation of 1/7th the size of a side of the voter grid
   end
end

% This creates one hump that is (not quite) in the center of the grid, to be precise, it is the fraction perturb/10
% of the way from the center to the top of the grid, hence the Plott conditions are just barely violated
xhump=0.5*numvotes;  
yhump=(0.5*(1-(perturb/10))+0.8*(perturb/10))*numvotes;
for y=1:numvotes
   for x=1:numvotes
      dist=((x-xhump)^2+(y-yhump)^2)^.5;
      weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
      voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation of 1/7th the size of a side of the voter grid
   end
end


sumvoterlocs=sum(sum(voterlocs)');
voterlocs=voterlocs/sumvoterlocs;  % Normalizes so the total density sums to 1