% f
% function y=f(a,b,c)
% takes thee 2-dim vectors a, b and c, and yields the percent of the votes A gets 
% uses polvotx, polvoty

function y = f(aa,bb,cc);

global voterlocs polvotx polvoty numvotes randfans;

% this part compares the incumbent's policy and the first
% challenger's policy
one=aa(1);
two=aa(2);
three=bb(1);
four=bb(2);
aa = aa-[1;1];
bb = bb-[1;1];
vfans = (aa(1)-bb(1))*polvotx+(aa(2)-bb(2))*polvoty -(aa-bb)'*(aa+bb)/2;
for i=1:numvotes
    for j=1:numvotes
        if vfans(i,j) == 0;
            if randfans(one,two) > randfans(three,four)
                vfans(i,j)=1;
            else
                vfans(i,j)=-1;
            end
        end
    end
end

stageonefans = vfans > 0;
aa = aa+[1;1];
bb = bb+[1;1];

% this part compares the two
% challengers' policies
one=bb(1);
two=bb(2);
three=cc(1);
four=cc(2);
bb = bb-[1;1];
cc = cc-[1;1];
vfans = (bb(1)-cc(1))*polvotx+(bb(2)-cc(2))*polvoty -(bb-cc)'*(bb+cc)/2;
for i=1:numvotes
    for j=1:numvotes
        if vfans(i,j) == 0;
            if randfans(one,two) > randfans(three,four)
                vfans(i,j)=1;
            else
                vfans(i,j)=-1;
            end
        end
    end
end

stagetwofans = vfans > 0;
bb = bb+[1;1];
cc = cc+[1;1];

% this part compares the incumbent's policy and the second
% challenger's policy
one=aa(1);
two=aa(2);
three=cc(1);
four=cc(2);
aa = aa-[1;1];
cc = cc-[1;1];
vfans = (aa(1)-cc(1))*polvotx+(aa(2)-cc(2))*polvoty -(aa-cc)'*(aa+cc)/2;
for i=1:numvotes
    for j=1:numvotes
        if vfans(i,j) == 0;
            if randfans(one,two) > randfans(three,four)
                vfans(i,j)=1;
            else
                vfans(i,j)=-1;
            end
        end
    end
end

stagethreefans = vfans > 0;
aa = aa+[1;1];
cc = cc+[1;1];

afans=zeros(numvotes,numvotes);
bfans=zeros(numvotes,numvotes);
cfans=zeros(numvotes,numvotes);

for i = 1:numvotes
    for j = 1:numvotes
        if stageonefans(i,j) == 1
            if stagethreefans(i,j) == 1
                afans(i,j) = 1;
            end
        end
        if stagetwofans(i,j) == 0
            if stagethreefans(i,j) == 0
                cfans(i,j) = 1;
            end
        end
        if stageonefans(i,j) == 0
            if stagetwofans(i,j) == 1
                bfans(i,j) = 1;
            end
        end
    end
end
                     
y=[0,0,0];

y(1,1) = sum(sum(voterlocs.*afans));
y(1,1) = y(1,1)/sum(sum(voterlocs));

y(1,2) = sum(sum(voterlocs.*bfans));
y(1,2) = y(1,2)/sum(sum(voterlocs));

y(1,3) = sum(sum(voterlocs.*cfans));
y(1,3) = y(1,3)/sum(sum(voterlocs));

%[JW] vfans is matrix of utility difference for each voter
% if aa and bb are platforms, and x=(x1,x2) is a voter's utility function,
% U(aa,x)= - (norm(x-aa)^2)*(npol-1/2), i.e. squared distance,
% vfans is a matrix of U(aa,x)-U(bb,x)
% note also that here we do not need to include multiple npol-1 in the code
% since aa, bb, x, etc. are integers (whereas in the model they are between
% 0 and 1)

% modified 11/8/01 to allow for any size voterloc matrix (i.e. no need to
% be a density; and give all indifferent votes to second policy, usually
% the challenger)