% the meat of the simulation

disp('Running simulations...')

mcec_init

% random starting values for now
if flag.startvals==0
   unif=ones(numpol)/numpol2;
   A = randomize(unif);
   B = randomize(unif);
   C = randomize(unif);
   clear unif
end

%the following command is necessary for the covered search rule to work
if flag.cov==1
    xcheck=input('Enter the xvalue of the position you want to check');
    ycheck=input('Enter the yvalue of the position you want to check');

    XPY=strictpref; %returns a dominance matrix

    totsize=size(XPY);
    xsize=totsize(1,2);

    disp('part 1 done...');

    S=XPY+XPY^2; % covering technique from Banks 1985

    S=S+eye(xsize); % because nothing can cover itself

    for i=1:xsize
        for j=1:xsize
            if S(i,j)>0
                S(i,j)=1; %normalizes so S(i,j)=1 if xj does not cover xi (it could be 2)
            end
        end
    end
end

allvotes=f(A,B,C);
% make sure incumbent policy is preferred to challenger policies in initial state
if allvotes(1,2) > allvotes(1,1)
    if allvotes(1,2) > allvotes(1,3) % Then party B wins
        IP = B;
        IPvotes=allvotes(1,2);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = C;
        CP2votes=allvotes(1,3);
    else % Then party C wins
        IP = C;
        IPvotes=allvotes(1,3);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = B;
        CP2votes=allvotes(1,2);
    end
else
    if allvotes(1,1) > allvotes(1,3) % Then party A wins
        IP = A;
        IPvotes=allvotes(1,1);
        CP1 = B;
        CP1votes=allvotes(1,2);
        CP2 = C;
        CP2votes=allvotes(1,3);
    else % Then party C wins
        IP = C;
        IPvotes=allvotes(1,3);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = B;
        CP2votes=allvotes(1,2);
    end
end
CP1Pol=(IPvotes/(IPvotes+CP1votes))*IP+(CP1votes/(IPvotes+CP1votes))*CP1;
CP2Pol=(IPvotes/(IPvotes+CP2votes))*IP+(CP2votes/(IPvotes+CP2votes))*CP2;

if ((IP(1)-CP1Pol(1))^2+(IP(2)-CP1Pol(2))^2)<=((IP(1)-CP1Pol(1))^2+(IP(2)-CP1Pol(2))^2)
    Pol=CP1Pol;
else
    Pol=CP2Pol;
end
        

mcec_record;

for t=1:(numit-1)
   % convert transition probabilities into a propensity matrix for challenger,
   % then choose a policy accordingly
   if flag.sq == 1
       CP1 = Pol;
       CP2 = Pol;
       % this is to make the status quo based on incumbent policy rather than
       % the challenger's last search (i.e. for sophisticated challengers)
   end
  
   P1=reshape(CTRANS(sub2ind([numpol,numpol],CP1(1),CP1(2)),:),numpol,numpol);
   if Pol == CP1Pol & flag.colsat == 1
       C1NEW = CP1;
   else
       C1NEW=randomize(P1);
   end
   P2=reshape(CTRANS(sub2ind([numpol,numpol],CP2(1),CP2(2)),:),numpol,numpol);
   if Pol == CP2Pol & flag.colsat == 1
       C2NEW = CP2;
   else
       C2NEW=randomize(P2);
   end
   
   % the election...
   allvotes=f(IP,C1NEW,C2NEW);
   
   if allvotes(1,2) > allvotes(1,1)
    if allvotes(1,2) > allvotes(1,3) % Then party B wins
        IP = B;
        IPvotes=allvotes(1,2);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = C;
        CP2votes=allvotes(1,3);
    else % Then party C wins
        IP = C;
        IPvotes=allvotes(1,3);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = B;
        CP2votes=allvotes(1,2);
    end
else
    if allvotes(1,1) > allvotes(1,3) % Then party A wins
        IP = A;
        IPvotes=allvotes(1,1);
        CP1 = B;
        CP1votes=allvotes(1,2);
        CP2 = C;
        CP2votes=allvotes(1,3);
    else % Then party C wins
        IP = C;
        IPvotes=allvotes(1,3);
        CP1 = A;
        CP1votes=allvotes(1,1);
        CP2 = B;
        CP2votes=allvotes(1,2);
    end
end
CP1Pol=(IPvotes/(IPvotes+CP1votes))*IP+(CP1votes/(IPvotes+CP1votes))*CP1;
CP2Pol=(IPvotes/(IPvotes+CP2votes))*IP+(CP2votes/(IPvotes+CP2votes))*CP2;

if ((IP(1)-CP1Pol(1))^2+(IP(2)-CP1Pol(2))^2)<=((IP(1)-CP1Pol(1))^2+(IP(2)-CP1Pol(2))^2)
    Pol=CP1Pol;
else
    Pol=CP2Pol;
end
   mcec_record;
end

D_IP=D_IP/sum(sum(D_IP));
D_CP1=D_CP1/sum(sum(D_CP1));
D_CP2=D_CP2/sum(sum(D_CP2));



