function W = winset(XPY,x)
% W = winset(XPY,x)
% Returns the winset of x, i.e. all alternatives that are MR 
% strictly preferred to policy x. XPY is the MR strict
% preference matrix defined using the function STRICTPREF and
% x is a 2-dim vector.
%
% [JW, 7/28/01; modified 9/13/01]

t = size(XPY,1);
j = XPY(:,sub2ind([sqrt(t),sqrt(t)],x(1),x(2)));
[x,y] = ind2sub([sqrt(t),sqrt(t)],find(j==1));
W = sortrows([x,y]);