% Takes the current voter locations and returns the average "depth" of
% the covering relation as defined by Bendor, Mookherjee and Ray
% [billhauk 6/10/03]



totsize=size(XPY);
xsize=totsize(1,2);
clear totsize;


disp('part 1 done...');

S=XPY+XPY^2; % technique from Banks 1985

S=S+eye(xsize); % because nothing can cover itself

for i=1:xsize
    for j=1:xsize
        if S(i,j)>0
            S(i,j)=1; %normalizes so S(i,j)=1 if xj does not cover xi (it could be 2)
        end
    end
end

disp('part 2 done....');

uncovcheck=(sum(S'))';
uncov=zeros(xsize,1);

for i=1:xsize
    if uncovcheck(i,1)==xsize  % a policy is uncovered if it is not covered by any other policy
        uncov(i,1)=1;
    else
        uncov(i,1)=0;
    end
end

uncovset=zeros(numpol,numpol);
for i=1:xsize
    [xaxis yaxis]=ind2sub([numpol numpol],i);
    uncovset(xaxis,yaxis)=uncov(i,1);
end
uncovset;
uncovratio=sum(uncov)/xsize;  %finds ratio of size of uncovered set to total policy space
disp('uncovratio done')

S=S-eye(xsize);
S=abs(S-ones(xsize,xsize));
S=S-eye(xsize);
stringlengths=[];

for i=1:10
    startpoint=randomize(uncov);
    startpoint=sub2ind([xsize 1],startpoint(1,1),startpoint(2,1));
    currentstringlength=[];
    for j=1:200
        flagstopdepth=0;
        thisstringlength=0;
        startpoint2=startpoint;
        while flagstopdepth==0
            covcheck=S(1:xsize,startpoint2);
            if sum(covcheck)==0
                flagstopdepth=1;
            else
                thisstringlength=thisstringlength+1;
                startpoint2=randomize(covcheck);
                startpoint2=sub2ind([xsize 1],startpoint2(1,1),startpoint2(2,1));
            end
        end
        currentstringlength=[currentstringlength; thisstringlength];
    end
    currentstringlength=max(currentstringlength);
    stringlengths=[stringlengths; currentstringlength];
end

meanstringlength=mean(stringlengths);
disp('uncovdepth done')

